ru.bitel.bgbilling.modules.smarthouse.common.bean

## Enum SmartHousePackageDurationUnit

- java.lang.Object
- - java.lang.Enum<SmartHousePackageDurationUnit>
  - - ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageDurationUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SmartHousePackageDurationUnit>

      public enum SmartHousePackageDurationUnit
      extends java.lang.Enum<SmartHousePackageDurationUnit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MINUTE`
    `MONTH`
    `UNKNOWN`
    `WEEK`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static SmartHousePackageDurationUnit` | `getSmartHousePackageDurationUnit(int code)`
    `static SmartHousePackageDurationUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SmartHousePackageDurationUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SmartHousePackageDurationUnit UNKNOWN

    - #### MINUTE

          public static final SmartHousePackageDurationUnit MINUTE

    - #### HOUR

          public static final SmartHousePackageDurationUnit HOUR

    - #### DAY

          public static final SmartHousePackageDurationUnit DAY

    - #### WEEK

          public static final SmartHousePackageDurationUnit WEEK

    - #### MONTH

          public static final SmartHousePackageDurationUnit MONTH

    - #### YEAR

          public static final SmartHousePackageDurationUnit YEAR

  - ### Method Detail

    - #### values

          public static SmartHousePackageDurationUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SmartHousePackageDurationUnit c : SmartHousePackageDurationUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SmartHousePackageDurationUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getSmartHousePackageDurationUnit

          public static SmartHousePackageDurationUnit getSmartHousePackageDurationUnit(int code)